### Function

# GLib get_user_cache_dir

since: 2.6

#### Declaration

    const gchar*
    g_get_user_cache_dir (
      void
    )

#### Description

Returns a base directory in which to store non-essential, cached data specific to particular user.

On UNIX platforms this is determined using the mechanisms described in the XDG Base Directory Specification. In this case the directory retrieved will be `XDG_CACHE_HOME`.

On Windows it follows XDG Base Directory Specification if `XDG_CACHE_HOME` is defined. If `XDG_CACHE_HOME` is undefined, the directory that serves as a common repository for temporary Internet files is used instead. A typical path is `C:\Documents and Settings\username\Local Settings\Temporary Internet Files`. See the documentation for `FOLDERID_InternetCache`.

The return value is cached and modifying it at runtime is not supported, as it’s not thread-safe to modify environment variables at runtime.

Available since: 2.6

#### Return value

Type: `const gchar*`

A string owned by GLib that must not be modified or freed.

The data is owned by the called function.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.